package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kstarbound.world.World

abstract class ActorEntity(world: World<*, *>) : Entity(world) {
	var isWalking = false
	var isRunning = false
	var isCrouching = false
	var isFlying = false
	var isFalling = false
	var canJump = false
	var isJumping = false
	var isGroundMovement = false
	var isLiquidMovement = false

	override fun move() {
		super.move()
	}
}
